body {
    width: auto;
    margin: 0px;
    padding: 0px;
    height: 100vh;
    font-family: 'Open Sans', sans-serif;
    background: cover;
}

.container {
    width: auto;
    height: 75px;
    background-color: ghostwhite;
    border: 1px solid black;
    padding: 0px;
    border-bottom-left-radius: 50px;
    border-bottom-right-radius: 30px;
}

nav {
    position: relative;
    margin-top: 10px;
    width: 700px;
    float: right;
    height: 50px;
    background-color: none;
    font-size: 0;
}

nav a {
    font-size: 20px;
    font-weight: 600;
    text-transform: uppercase;
    margin-top: 15px;
    color: blue;
    line-height: 20px;
    text-decoration: none;
    position: relative;
    z-index: 1;
    display: inline-block;
    text-align: center;
}

nav .animation {
    position: absolute;
    height: 5px;
    bottom: 0;
    z-index: 0;
    background: lightgreen;
    width: 100px;
    border-radius: 10px;
    transition: all .5s ease 0s;
}

a:nth-child(1) {
    width: 100px;
}

nav .start-home,
a:nth-child(1):hover ~ .animation {
    width: 100px;
    left: 0;
}

a:nth-child(2) {
    width: 80px;
}

nav .start-post,
a:nth-child(2):hover ~ .animation {
    width: 80px;
    left: 100px;
}

a:nth-child(3) {
    width: 130px;
}

nav .start-message,
a:nth-child(3):hover ~ .animation {
    width: 130px;
    left: 180px;
}


a:nth-child(4) {
    width: 100px;
}

nav .start-profile,
a:nth-child(4):hover ~ .animation {
    width: 100px;
    left: 310px;
}


a:nth-child(5) {
    width: 150px;
}

nav .start-newuser,
a:nth-child(5):hover ~ .animation {
    width: 150px;
    left: 410px;
}

a:nth-child(6) {
    width: 100px;
}

nav .start-logout,
a:nth-child(6):hover ~ .animation {
    width: 100px;
    left: 560px;
}

.box {
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    width: 80%;
    background: 1px solid black;
    border-radius: 10px;
}

.setting {
    text-align: center;
    background-color: ghostwhite;
    border: 1px solid black;
    width: 500px;
    padding-top: 10px;
    border-radius: 10px;
    padding-bottom: 30px;
    display: inline-block;
}


#img {
    border: 1px solid black;
    text-align: center;
    border-radius: 30px;
    width: 100px;
    height: 100px;
    object-fit: cover;
}

.textbox {
    margin-top: 10px;
}

.text1 {
    height: 40px;
    width: 70%;
    margin-bottom: 30px;
    margin-left: 30px;
    font-size: 15px;
    border: none;
    border-radius: 5px;
    border-bottom: 1px solid red;
}


.button {
    border: 2px solid #3498db;
    color: blue;
    width: 80%;
    background: none;
    font-size: 25px;
    font-family: "montserrat";
    cursor: pointer;
    overflow: hidden;
    border-radius: 10px;
    height: 60px;
    transition: 0.8s;
}

.btn1 {
    color: #3498db;
}

.btn1:hover {
    background: #3498db;
    color: white;
}

button::before {
    content: '';
    position: absolute;
    left: 0;
    width: 100%;
    height: 0%;
    background: #3498db;
    z-index: -1;
    transition: 0.8s;
}

btn1::before {
    top: 10;
    border-radius: 0 0 50% 50%;
}

btn1:hover::before {
    height: 180%;
}

.next {
    width: 300px;
    padding-top: 20px;
    padding-bottom: 20px;
    display: inline-block;
    vertical-align: top;
    background-color: whitesmoke;
}
